Package org.postgresql.xml

# Class LegacyInsecurePGXmlFactoryFactory

java.lang.Object
org.postgresql.xml.LegacyInsecurePGXmlFactoryFactory

All Implemented Interfaces:
  `PGXmlFactoryFactory`

public class LegacyInsecurePGXmlFactoryFactory extends Object implements PGXmlFactoryFactory

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final LegacyInsecurePGXmlFactoryFactory`
  `INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLReader`
  `createXMLReader()`
  `DocumentBuilder`
  `newDocumentBuilder()`
  `SAXTransformerFactory`
  `newSAXTransformerFactory()`
  `TransformerFactory`
  `newTransformerFactory()`
  `XMLInputFactory`
  `newXMLInputFactory()`
  `XMLOutputFactory`
  `newXMLOutputFactory()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final LegacyInsecurePGXmlFactoryFactory INSTANCE

- ## Method Details

  - ### newDocumentBuilder

    public DocumentBuilder newDocumentBuilder() throws ParserConfigurationException
    Specified by:
      `newDocumentBuilder` in interface `PGXmlFactoryFactory`
    Throws:
      `ParserConfigurationException`

  - ### newTransformerFactory

    public TransformerFactory newTransformerFactory()
    Specified by:
      `newTransformerFactory` in interface `PGXmlFactoryFactory`

  - ### newSAXTransformerFactory

    public SAXTransformerFactory newSAXTransformerFactory()
    Specified by:
      `newSAXTransformerFactory` in interface `PGXmlFactoryFactory`

  - ### newXMLInputFactory

    public XMLInputFactory newXMLInputFactory()
    Specified by:
      `newXMLInputFactory` in interface `PGXmlFactoryFactory`

  - ### newXMLOutputFactory

    public XMLOutputFactory newXMLOutputFactory()
    Specified by:
      `newXMLOutputFactory` in interface `PGXmlFactoryFactory`

  - ### createXMLReader

    public XMLReader createXMLReader() throws SAXException
    Specified by:
      `createXMLReader` in interface `PGXmlFactoryFactory`
    Throws:
      `SAXException`